package org.objectweb.fractal.helloworld;

import org.objectweb.fractal.fraclet.annotations.Attribute;
import org.objectweb.fractal.fraclet.annotations.Component;

/**
 * Partial implementation of the Server.
 * 
 * @author Romain Rouvoy (Initial Developer)
 * @version $Revision$
 */
@Component
public class AbstractServer {
    @Attribute(value = ">")
    protected String header;

    /**
     * Implicit setter for the attribute header.
     * 
     * @param value new value of the header.
     */
    public void setHeader(String value) {
        System.out.println("Setting header value to " + value);
        this.header = value;
    }
}